<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAccessControl: Private Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAccessControl
   &#160;<span id="projectnumber">8.4.4</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('group__PrivateFunctions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Private Functions<div class="ingroups"><a class="el" href="group__API.html">Access Control library</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2935e125dc25564ae6e3831569872a4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga2935e125dc25564ae6e3831569872a4c">_fwAccessControl_exportDomain</a> (dyn_string &amp;expCmd, string domainName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2935e125dc25564ae6e3831569872a4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b4f0073a3ee5478a2a3da8d18908a7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga2b4f0073a3ee5478a2a3da8d18908a7c">_fwAccessControl_exportGroup</a> (dyn_string &amp;expCmd, string groupName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2b4f0073a3ee5478a2a3da8d18908a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff8b2292fbc47ea9c733b44bae44c279"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gaff8b2292fbc47ea9c733b44bae44c279">_fwAccessControl_exportSubGroup</a> (dyn_string &amp;expCmd, string groupName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaff8b2292fbc47ea9c733b44bae44c279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac35d5a367dfe190c8ad8572c88b4780a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gac35d5a367dfe190c8ad8572c88b4780a">_fwAccessControl_exportUser</a> (dyn_string &amp;expCmd, string userName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac35d5a367dfe190c8ad8572c88b4780a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga38a7d76bf27c41b68ea659b97ad47b08"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga38a7d76bf27c41b68ea659b97ad47b08">g_fwAccessControl_initialised</a> =FALSE</td></tr>
<tr class="separator:ga38a7d76bf27c41b68ea659b97ad47b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa4e5f1f07124ddbfdc66fe2104612d56"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gaa4e5f1f07124ddbfdc66fe2104612d56">g_fwAccessControl_isInInit</a> =FALSE</td></tr>
<tr class="separator:gaa4e5f1f07124ddbfdc66fe2104612d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48da92c45250c1af9ab3bb5695bea2a1"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga48da92c45250c1af9ab3bb5695bea2a1">g_fwAccessControl_AreasDP</a> = getSystemName()+&quot;_Areas&quot;</td></tr>
<tr class="separator:ga48da92c45250c1af9ab3bb5695bea2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1d445cd8e520c438459861d08f24873"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gaf1d445cd8e520c438459861d08f24873">g_fwAccessControl_GroupsDP</a> = getSystemName()+&quot;_Groups&quot;</td></tr>
<tr class="separator:gaf1d445cd8e520c438459861d08f24873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada4b7be40e4ee52dd5ea53ba55735097"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gada4b7be40e4ee52dd5ea53ba55735097">g_fwAccessControl_UsersDP</a> = getSystemName()+&quot;_Users&quot;</td></tr>
<tr class="separator:gada4b7be40e4ee52dd5ea53ba55735097"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7311ad5d5c1daac7de8c1d3135bc7a9"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gac7311ad5d5c1daac7de8c1d3135bc7a9">g_fwAccessControl_WorkstationsDP</a> = getSystemName()+&quot;_WsPermission&quot;</td></tr>
<tr class="separator:gac7311ad5d5c1daac7de8c1d3135bc7a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6534b9dc8d07cb402521a054ec3b9b2"><td class="memItemLeft" align="right" valign="top">global mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gad6534b9dc8d07cb402521a054ec3b9b2">g_fwAccessControl_workstationAliases</a></td></tr>
<tr class="separator:gad6534b9dc8d07cb402521a054ec3b9b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47cde3e9e832a0c1ce18bea6f332a908"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga47cde3e9e832a0c1ce18bea6f332a908">g_fwAccessControl_ConfigurationDP</a> = getSystemName()+&quot;_fwAccessControlSetup&quot;</td></tr>
<tr class="separator:ga47cde3e9e832a0c1ce18bea6f332a908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga69ba134ea751bc4219f3d79104f3c813"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga69ba134ea751bc4219f3d79104f3c813">g_fwAccessControl_DefaultAdminPriv</a></td></tr>
<tr class="separator:ga69ba134ea751bc4219f3d79104f3c813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13fa55a627724b2df750725544e58f97"><td class="memItemLeft" align="right" valign="top">private string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga13fa55a627724b2df750725544e58f97">g_fwAccessControl_CurrentRole</a></td></tr>
<tr class="separator:ga13fa55a627724b2df750725544e58f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada861d4c89a094655332f414d3da885b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gada861d4c89a094655332f414d3da885b">GROUP_IDX_TO_NAME</a> =2</td></tr>
<tr class="separator:gada861d4c89a094655332f414d3da885b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13c7a53aa07053a7a687192c4e0d056a"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga13c7a53aa07053a7a687192c4e0d056a">DOMAIN_NAME_TO_IDX</a> =3</td></tr>
<tr class="separator:ga13c7a53aa07053a7a687192c4e0d056a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9fd5363765293fd6216c45474fc2860"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gac9fd5363765293fd6216c45474fc2860">DOMAIN_IDX_TO_NAME</a> =4</td></tr>
<tr class="separator:gac9fd5363765293fd6216c45474fc2860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4bc1ff6d839bdbb2fe0fbb60da3b4837"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga4bc1ff6d839bdbb2fe0fbb60da3b4837">USER_NAME_TO_IDX</a> =5</td></tr>
<tr class="separator:ga4bc1ff6d839bdbb2fe0fbb60da3b4837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4337edd52c1cef3990795d38173ebb64"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga4337edd52c1cef3990795d38173ebb64">USER_IDX_TO_NAME</a> =6</td></tr>
<tr class="separator:ga4337edd52c1cef3990795d38173ebb64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Permission-related functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrpd36069dc17404633ef9d4bd717349951"></a>see also the module <a class="el" href="group__PermissionFunctions.html">Permission manipulation functions</a> </p>
</td></tr>
<tr class="memitem:gaf129b8b4003e49c54fe0fa810582677b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#gaf129b8b4003e49c54fe0fa810582677b">fwAccessControl_setPrivilegeNames</a> (string domainName, dyn_string privilegeNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf129b8b4003e49c54fe0fa810582677b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Framework domain specific functions</h2></td></tr>
<tr class="memitem:ga5054e11a0e820e187e0be3c63774c08a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga5054e11a0e820e187e0be3c63774c08a">_fwAccessControl_checkInit</a> ()</td></tr>
<tr class="separator:ga5054e11a0e820e187e0be3c63774c08a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga040e74db81ce5357b4c3931b151686da"><td class="memItemLeft" align="right" valign="top"><a id="ga040e74db81ce5357b4c3931b151686da"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_dpSetSudo</b> (string dpe, mixed &amp;value, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga040e74db81ce5357b4c3931b151686da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac44b27450bc01dfa5419d54b3aa1e9d8"><td class="memItemLeft" align="right" valign="top"><a id="gac44b27450bc01dfa5419d54b3aa1e9d8"></a>
private&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkRootAndParaPrivileges</b> ()</td></tr>
<tr class="separator:gac44b27450bc01dfa5419d54b3aa1e9d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad4e8872afb61b370f9d9eaea489abb78"><td class="memItemLeft" align="right" valign="top"><a id="gad4e8872afb61b370f9d9eaea489abb78"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_setInitialLoginAndRole</b> ()</td></tr>
<tr class="separator:gad4e8872afb61b370f9d9eaea489abb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83a39d5f384141f17c66f08ffe6f8f62"><td class="memItemLeft" align="right" valign="top"><a id="ga83a39d5f384141f17c66f08ffe6f8f62"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkExecuteInitHook</b> ()</td></tr>
<tr class="separator:ga83a39d5f384141f17c66f08ffe6f8f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92a00a52124d7fc8667ef71f35585602"><td class="memItemLeft" align="right" valign="top"><a id="ga92a00a52124d7fc8667ef71f35585602"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupGlobalVariables</b> ()</td></tr>
<tr class="separator:ga92a00a52124d7fc8667ef71f35585602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88cf57aa038cffade7d42a357c7fc6e2"><td class="memItemLeft" align="right" valign="top"><a id="ga88cf57aa038cffade7d42a357c7fc6e2"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupUiDpArchiving</b> ()</td></tr>
<tr class="separator:ga88cf57aa038cffade7d42a357c7fc6e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafab5fdafdc6a2ee8beafad375d4d1da8"><td class="memItemLeft" align="right" valign="top"><a id="gafab5fdafdc6a2ee8beafad375d4d1da8"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupConfigurationDP</b> ()</td></tr>
<tr class="separator:gafab5fdafdc6a2ee8beafad375d4d1da8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37fc7951df79f8c20bc9bf9b0b3dbd14"><td class="memItemLeft" align="right" valign="top"><a id="ga37fc7951df79f8c20bc9bf9b0b3dbd14"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupPrivileges</b> ()</td></tr>
<tr class="separator:ga37fc7951df79f8c20bc9bf9b0b3dbd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6b9325077f1151c17bcdf096b9a5051"><td class="memItemLeft" align="right" valign="top"><a id="gaa6b9325077f1151c17bcdf096b9a5051"></a>
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupEgroupSyncDP</b> ()</td></tr>
<tr class="separator:gaa6b9325077f1151c17bcdf096b9a5051"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a id="gaf129b8b4003e49c54fe0fa810582677b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf129b8b4003e49c54fe0fa810582677b">&#9670;&nbsp;</a></span>fwAccessControl_setPrivilegeNames()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_setPrivilegeNames </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>domainName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>privilegeNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sets the list of privilege names for a domain </p>

</div>
</div>
<a id="ga5054e11a0e820e187e0be3c63774c08a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5054e11a0e820e187e0be3c63774c08a">&#9670;&nbsp;</a></span>_fwAccessControl_checkInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_checkInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>initialized variables used by access control</p>
<p>note that custom initialization hooks may be provided by defining function fwAccessControl_initializeHook(); it will be called automatically at the end of startup, before the autologin/forcelogin. Note that the hook function is executed with root authorization!!! </p>

</div>
</div>
<a id="ga2935e125dc25564ae6e3831569872a4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2935e125dc25564ae6e3831569872a4c">&#9670;&nbsp;</a></span>_fwAccessControl_exportDomain()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_exportDomain </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>expCmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>domainName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Exports domain information as a text suitable for .postInstall script</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expCmd</td><td>lines with CTRL commands will be appended to this variable </td></tr>
    <tr><td class="paramname">domainName</td><td>the name of the domain to export </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable</td></tr>
  </table>
  </dd>
</dl>
<p>NOTE! The "generic" privilege names (names matchin "PRIV?", i.e. PRIV5, PRIV6, PRIV7) will not be stored! </p>

</div>
</div>
<a id="ga2b4f0073a3ee5478a2a3da8d18908a7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2b4f0073a3ee5478a2a3da8d18908a7c">&#9670;&nbsp;</a></span>_fwAccessControl_exportGroup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_exportGroup </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>expCmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Exports group information as a text suitable for .postInstall script</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expCmd</td><td>lines with CTRL commands will be appended to this variable </td></tr>
    <tr><td class="paramname">groupName</td><td>the name of the group to export </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gaff8b2292fbc47ea9c733b44bae44c279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaff8b2292fbc47ea9c733b44bae44c279">&#9670;&nbsp;</a></span>_fwAccessControl_exportSubGroup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_exportSubGroup </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>expCmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Exports subgroup information as a text suitable for .postInstall script</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expCmd</td><td>lines with CTRL commands will be appended to this variable </td></tr>
    <tr><td class="paramname">groupName</td><td>the name of the group, the subgroup info of which to be exported </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gac35d5a367dfe190c8ad8572c88b4780a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac35d5a367dfe190c8ad8572c88b4780a">&#9670;&nbsp;</a></span>_fwAccessControl_exportUser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_exportUser </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>expCmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Exports user information as a text suitable for .postInstall script</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expCmd</td><td>lines with CTRL commands will be appended to this variable </td></tr>
    <tr><td class="paramname">userName</td><td>the name of the user to export </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ga38a7d76bf27c41b68ea659b97ad47b08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga38a7d76bf27c41b68ea659b97ad47b08">&#9670;&nbsp;</a></span>g_fwAccessControl_initialised</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool g_fwAccessControl_initialised =FALSE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>flag indicating the initialisation </p>

</div>
</div>
<a id="gaa4e5f1f07124ddbfdc66fe2104612d56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa4e5f1f07124ddbfdc66fe2104612d56">&#9670;&nbsp;</a></span>g_fwAccessControl_isInInit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool g_fwAccessControl_isInInit =FALSE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>flag indicating that we are in initialisation phase and enable certain functions to work already at early stage </p>

</div>
</div>
<a id="ga48da92c45250c1af9ab3bb5695bea2a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga48da92c45250c1af9ab3bb5695bea2a1">&#9670;&nbsp;</a></span>g_fwAccessControl_AreasDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string g_fwAccessControl_AreasDP = getSystemName()+&quot;_Areas&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the DP name storing area information, usually SystemName:_Areas </p>

</div>
</div>
<a id="gaf1d445cd8e520c438459861d08f24873"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1d445cd8e520c438459861d08f24873">&#9670;&nbsp;</a></span>g_fwAccessControl_GroupsDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string g_fwAccessControl_GroupsDP = getSystemName()+&quot;_Groups&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the DP name storing groups information, usually SystemName:_Groups </p>

</div>
</div>
<a id="gada4b7be40e4ee52dd5ea53ba55735097"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gada4b7be40e4ee52dd5ea53ba55735097">&#9670;&nbsp;</a></span>g_fwAccessControl_UsersDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string g_fwAccessControl_UsersDP = getSystemName()+&quot;_Users&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the DP name storing Users information, usually SystemName:_Users </p>

</div>
</div>
<a id="gac7311ad5d5c1daac7de8c1d3135bc7a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac7311ad5d5c1daac7de8c1d3135bc7a9">&#9670;&nbsp;</a></span>g_fwAccessControl_WorkstationsDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string g_fwAccessControl_WorkstationsDP = getSystemName()+&quot;_WsPermission&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the DP name storing Workstation information, usually SystemName:_WsPermission </p>

</div>
</div>
<a id="gad6534b9dc8d07cb402521a054ec3b9b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad6534b9dc8d07cb402521a054ec3b9b2">&#9670;&nbsp;</a></span>g_fwAccessControl_workstationAliases</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global mapping g_fwAccessControl_workstationAliases</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the mapping of aliases for workstations to the list of names </p>

</div>
</div>
<a id="ga47cde3e9e832a0c1ce18bea6f332a908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga47cde3e9e832a0c1ce18bea6f332a908">&#9670;&nbsp;</a></span>g_fwAccessControl_ConfigurationDP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string g_fwAccessControl_ConfigurationDP = getSystemName()+&quot;_fwAccessControlSetup&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the DP name storing the Fw Access Control Settings </p>

</div>
</div>
<a id="ga69ba134ea751bc4219f3d79104f3c813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga69ba134ea751bc4219f3d79104f3c813">&#9670;&nbsp;</a></span>g_fwAccessControl_DefaultAdminPriv</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global string g_fwAccessControl_DefaultAdminPriv</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>contains the default name:privilege for user/group/domain administration; as of fwAccessControl-3.2.24 the new default it is SYSTEM:FwAccessControl (privilege 30 of system domain) </p>

</div>
</div>
<a id="ga13fa55a627724b2df750725544e58f97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga13fa55a627724b2df750725544e58f97">&#9670;&nbsp;</a></span>g_fwAccessControl_CurrentRole</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private string g_fwAccessControl_CurrentRole</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Currently selected role, if strict role checking enabled. </p>

</div>
</div>
<a id="gada861d4c89a094655332f414d3da885b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gada861d4c89a094655332f414d3da885b">&#9670;&nbsp;</a></span>GROUP_IDX_TO_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GROUP_IDX_TO_NAME =2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>convert group index to group name in _fwAccessControl_convert </p>

</div>
</div>
<a id="ga13c7a53aa07053a7a687192c4e0d056a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga13c7a53aa07053a7a687192c4e0d056a">&#9670;&nbsp;</a></span>DOMAIN_NAME_TO_IDX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int DOMAIN_NAME_TO_IDX =3</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>convert domain name to domain index in _fwAccessControl_convert </p>

</div>
</div>
<a id="gac9fd5363765293fd6216c45474fc2860"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac9fd5363765293fd6216c45474fc2860">&#9670;&nbsp;</a></span>DOMAIN_IDX_TO_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int DOMAIN_IDX_TO_NAME =4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>convert domain index to domain name in _fwAccessControl_convert </p>

</div>
</div>
<a id="ga4bc1ff6d839bdbb2fe0fbb60da3b4837"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4bc1ff6d839bdbb2fe0fbb60da3b4837">&#9670;&nbsp;</a></span>USER_NAME_TO_IDX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int USER_NAME_TO_IDX =5</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>convert user name to user index in _fwAccessControl_convert </p>

</div>
</div>
<a id="ga4337edd52c1cef3990795d38173ebb64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4337edd52c1cef3990795d38173ebb64">&#9670;&nbsp;</a></span>USER_IDX_TO_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int USER_IDX_TO_NAME =6</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>convert user index to user name in _fwAccessControl_convert </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
